## yorick-yeti 6.2.1

=== Makefile ===
--- 
+++ 
@@ -14,18 +14,20 @@
 # These values filled in by: ./configure [...]
 YETI_PKGS = yeti yeti_fftw yeti_gsl yeti_regex yeti_tiff
 YETI_VERSION_MAJOR = 6
-YETI_VERSION_MINOR = 1
-YETI_VERSION_MICRO = 6
+YETI_VERSION_MINOR = 2
+YETI_VERSION_MICRO = 1
 YORICK_VERSION_MAJOR = 2
 YORICK_VERSION_MINOR = 1
-YORICK_VERSION_MICRO = 2
+YORICK_VERSION_MICRO = 4
+
+SUBDIRS = $(YETI_PKGS) doc
 
 TMPDIR=/tmp
 
 default: all
 
 all: check
-	@for dir in $(YETI_PKGS); do \
+	@for dir in $(SUBDIRS); do \
 	  (cd $$dir; make); \
 	done
 
@@ -46,41 +48,44 @@
 	fi
 
 install: check
-	@for dir in $(YETI_PKGS); do \
+	@for dir in $(SUBDIRS); do \
 	  (cd $$dir; make $@); \
 	done
-	@for src in AUTHORS COPYING NEWS README VERSION; do \
-	  dst=$(Y_EXE_SITE)/doc/Yeti-$$src; \
-	  cp $$src $$dst; \
-	  chmod 644 $$dst; \
-	done
+#	@for src in AUTHORS COPYING NEWS README VERSION; do \
+#	  dst=$(Y_EXE_SITE)/doc/$$src.yeti; \
+#	  cp -pf $$src $$dst; \
+#	  chmod 644 $$dst; \
+#	done
 
 clean: check
 	rm -f *~ *.tmp
-	@for dir in $(YETI_PKGS); do \
+	@for dir in $(SUBDIRS); do \
 	  (cd $$dir; make $@); \
 	done
 
+distclean: clean
+	rm -f config.h
+
 distrib:
 	@version=`cat VERSION`; \
-	target=yeti-$${version}; \
-	tmpdir=$(TMPDIR)/$${target}; \
-	archive=$${tmpdir}.tar.gz; \
-	if test -d $${tmpdir}; then \
+	target="yeti-$${version}"; \
+	tmpdir="$(TMPDIR)/$${target}"; \
+	archive="$${tmpdir}.tar.bz2"; \
+	if test -d "$${tmpdir}"; then \
 	  echo "directory $${tmpdir} already exists"; \
 	  false; \
 	else \
 	  olddir=`pwd`; \
-	  rm -rf $${tmpdir}; \
-	  cp -a . $${tmpdir}; \
-	  cd $${tmpdir}; \
+	  rm -rf "$${tmpdir}"; \
+	  cp -a . "$${tmpdir}"; \
+	  cd "$${tmpdir}"; \
 	  test -r config.h || touch config.h; \
 	  make clean YETI_PKGS="yeti yeti_fftw yeti_regex yeti_tiff"; \
 	  rm -f config.h; \
 	  rm -rf devel */RCS; \
-	  cd ..; \
-	  tar cf - $${target} | gzip -9 > $${archive}; \
-	  cd $${olddir}; \
-	  rm -rf $${tmpdir}; \
+	  cd "$(TMPDIR)"; \
+	  tar cf - "$${target}" | bzip2 -9 > "$${archive}"; \
+	  cd "$${olddir}"; \
+	  rm -rf "$${tmpdir}"; \
 	  echo "archive is: $${archive}"; \
 	fi
