=== yeti/Makefile ===
--- 
+++ 
@@ -59,6 +59,7 @@
        yeti_morph.o \
        yeti_new.o \
        yeti_sparse.o \
+       yeti_symlink.o \
        yeti_utils.o
 
 # change to give the executable a name other than yorick
