## yorick-yeti 6.2.2

=== Makefile ===
--- 
+++ 
@@ -15,10 +15,12 @@
 YETI_PKGS = yeti yeti_fftw yeti_gsl yeti_regex yeti_tiff
 YETI_VERSION_MAJOR = 6
 YETI_VERSION_MINOR = 2
-YETI_VERSION_MICRO = 1
+YETI_VERSION_MICRO = 2
+YETI_VERSION_SUFFIX = "pre1"
 YORICK_VERSION_MAJOR = 2
 YORICK_VERSION_MINOR = 1
 YORICK_VERSION_MICRO = 4
+YORICK_VERSION_SUFFIX = "x"
 
 SUBDIRS = $(YETI_PKGS) doc
 
@@ -64,7 +66,7 @@
 	done
 
 distclean: clean
-	rm -f config.h
+	rm -f config.h Makefile
 
 distrib:
 	@version=`cat VERSION`; \
