=== yeti/Makefile ===
--- 
+++ 
@@ -58,6 +58,7 @@
        yeti_misc.o \
        yeti_morph.o \
        yeti_new.o \
+       yeti_rgl.o \
        yeti_sparse.o \
        yeti_symlink.o \
        yeti_utils.o
@@ -121,6 +122,8 @@
 yeti_math.o: yeti.h ../config.h
 yeti_misc.o: yeti.h ../config.h
 yeti_morph.o: yeti.h ../config.h
+yeti_rgl.o: yeti_rgl.c
+	$(CC) $(CPPFLAGS) $(CFLAGS) -DYORICK -o $@ -c $<
 yeti_utils.o: yeti.h ../config.h
 #yeti_new.o:
