=== yeti_gsl/Makefile ===
--- 
+++ 
@@ -22,9 +22,9 @@
 PKG_EXENAME=yorick
 
 # PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
-PKG_DEPLIBS = -lgsl -lgslcblas
+PKG_DEPLIBS = -L/usr/local/lib -lgsl -lgslcblas
 # set compiler (or rarely loader) flags specific to this package
-PKG_CFLAGS =  -DHAVE_GSL=1
+PKG_CFLAGS = -I/usr/local/include -DHAVE_GSL=1
 PKG_LDFLAGS=
 
 # list of additional package names you want in PKG_EXENAME
