## yorick-yeti 6.2.5

=== yeti/Makefile ===
--- 
+++ 
@@ -33,11 +33,11 @@
 #------------------------------------------------------------------------------
 
 # these values filled in by: yorick -batch make.i
-Y_MAKEDIR=/usr/local/lib/yorick
-Y_EXE=/usr/local/lib/yorick/bin/yorick
+Y_MAKEDIR=/usr/local/libexec/yorick
+Y_EXE=/usr/local/libexec/yorick/bin/yorick
 Y_EXE_PKGS=
-Y_EXE_HOME=/usr/local/lib/yorick
-Y_EXE_SITE=/usr/local/lib/yorick
+Y_EXE_HOME=/usr/local/libexec/yorick
+Y_EXE_SITE=/usr/local/libexec/yorick
 
 #----------------------------------------------------------- optimization flags
