=== debian/changelog ===
yorick-yeti (6.2.5-1) unstable; urgency=low

  * New upstream release
  * Some of Yeti is now under CeCILL-C license (LGPL compatible)
  * Convert to "3.0 (quilt)" format
  * Check against policy 3.8.3
  * Run (limited) check suite

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 19 Jan 2010 15:40:26 +0100

yorick-yeti (6.2.3-1) unstable; urgency=low

  * New upstream release
  * Checked against new policy (3.8.1)

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 13 May 2009 11:09:24 +0200

yorick-yeti (6.2.2-2) unstable; urgency=low

  * Bug fix: "yeti FTBFS with dpkg-buildpackage -rsudo", thanks to Steve
    Langasek (Closes: #471655). The "clean" target now restores the
    original permissions of the Makefiles.

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Thu, 20 Mar 2008 12:52:33 +0100

yorick-yeti (6.2.2-1) unstable; urgency=low

  * New upstream release

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Fri, 15 Feb 2008 15:19:24 +0100

yorick-yeti (6.2.1-2) unstable; urgency=low

  * debian/control:
     * DM-Upload-Allowed field added
     * upgraded to Standards-Version: 3.7.3.0
     * upgrade build dependency on yorick-dev
       (>= 2.1.05+dfsg-2~bpo40+1)
  * debian/rules: converted to dh_installyorick
     * added debian/yorick-yeti{|-fftw|-gsl|-regex|-tiff}.ynstall
     * added debian/yorick-yeti{|-fftw|-gsl|-regex|-tiff}.packinfo
     * added debian/yorick-yeti{|-regex|-tiff}.keywords

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Mon, 14 Jan 2008 23:24:31 +0100

yorick-yeti (6.2.1-1) unstable; urgency=low

  * New upstream release

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Mon, 26 Nov 2007 14:45:46 +0100

yorick-yeti (6.1.6-1) unstable; urgency=low

  * Initial Release. Closes: #366716

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 29 Nov 2006 19:57:58 +0100
