=== debian/control ===
Source: yorick-yeti
Section: math
Priority: optional
Maintainer: Thibaut Paumard <paumard@users.sourceforge.net>
Build-Depends: debhelper (>= 5), yorick-dev (>= 2.1.05+dfsg-2~bpo40+1), fftw-dev, libtiff4-dev, libgsl0-dev (>= 1.8)
Standards-Version: 3.8.3
DM-Upload-Allowed: yes
Homepage: http://www-obs.univ-lyon1.fr/labo/perso/eric.thiebaut/yeti.html

Package: yorick-yeti
Architecture: any
Depends: yorick (>= 1.6.02), ${shlibs:Depends}, ${misc:Depends}
Description: utility plugin for the Yorick language
 Yeti is a collection of extension plugins for Yorick (a fast interpreted
 interactive data processing language).
 .
 The yorick-yeti package implements:
 .
   * hash table objects
   * wavelet filtering ("a trou" method)
   * fast convolution along a chosen dimension with various border conditions
   * more string functions
   * memory hacking routines
   * more math functions (sinc, round, arc)
   * generalized matrix-vector multiplication (with possibly sparse matrix)
   * routines to query/check Yorick's symbols
   * morpho-math operators
   * ...

Package: yorick-yeti-tiff
Architecture: any
Depends: yorick (>= 1.6.02), ${shlibs:Depends}, ${misc:Depends}
Description: TIFF image format input for the Yorick language
 Yeti is a collection of extension plugins for Yorick (a fast interpreted
 interactive data processing language).
 .
 The yorick-yeti-tiff package implements support for reading TIFF images.

Package: yorick-yeti-regex
Architecture: any
Depends: yorick (>= 1.6.02), ${shlibs:Depends}, ${misc:Depends}
Description: POSIX regular expressions for the Yorick language
 Yeti is a collection of extension plugins for Yorick (a fast interpreted
 interactive data processing language).
 .
 The yorick-yeti-regex package implements support for POSIX regular
 expressions.

Package: yorick-yeti-fftw
Architecture: any
Priority: extra
Depends: yorick (>= 1.6.02), ${shlibs:Depends}, ${misc:Depends}
Description: FFT plugin for the Yorick language
 Yeti is a collection of extension plugins for Yorick (a fast interpreted
 interactive data processing language).
 .
 The yorick-yeti-fftw package implements complex, real-complex and complex-real
 fast fourier transform using FFTW2 (the Fastest Fourier Transform in the West -
 version 2)

Package: yorick-yeti-gsl
Architecture: any
Depends: yorick (>= 1.6.02), ${shlibs:Depends}, ${misc:Depends}
Description: GSL special functions plugin for the Yorick language
 Yeti is a collection of extension plugins for Yorick (a fast interpreted
 interactive data processing language).
 .
 The yorick-yeti-gsl package gives access to 120 special functions from the
 GNU Scientific Library (GSL).
