## yorick-yeti 6.3.1

=== Makefile ===
--- 
+++ 
@@ -5,26 +5,31 @@
 #
 
 # These values filled in by: yorick -batch make.i
-Y_MAKEDIR=/usr/local/lib/yorick
-Y_EXE=/usr/local/lib/yorick/bin/yorick
+Y_MAKEDIR=/usr/local/libexec/yorick
+Y_EXE=/usr/local/libexec/yorick/bin/yorick
 Y_EXE_PKGS=
-Y_EXE_HOME=/usr/local/lib/yorick
-Y_EXE_SITE=/usr/local/lib/yorick
+Y_EXE_HOME=/usr/local/libexec/yorick
+Y_EXE_SITE=/usr/local/libexec/yorick
 
 # These values filled in by: ./configure [...]
 YETI_PKGS = yeti yeti_fftw yeti_gsl yeti_regex yeti_tiff
 YETI_VERSION_MAJOR = 6
-YETI_VERSION_MINOR = 2
-YETI_VERSION_MICRO = 2
-YETI_VERSION_SUFFIX = "pre1"
+YETI_VERSION_MINOR = 3
+YETI_VERSION_MICRO = 0
+YETI_VERSION_SUFFIX = ""
 YORICK_VERSION_MAJOR = 2
 YORICK_VERSION_MINOR = 1
-YORICK_VERSION_MICRO = 4
+YORICK_VERSION_MICRO = 5
 YORICK_VERSION_SUFFIX = "x"
 
 SUBDIRS = $(YETI_PKGS) doc
 
 TMPDIR=/tmp
+
+DISTRIB_PKGS = yeti yeti_fftw yeti_gsl yeti_regex yeti_tiff
+DISTRIB_DIRS = doc $(DISTRIB_PKGS)
+DISTRIB_FILES = AUTHORS LICENSE NEWS README VERSION \
+	Makefile Makefile.in config.h.in config.i
 
 default: all
 
@@ -78,13 +83,18 @@
 	  false; \
 	else \
 	  olddir=`pwd`; \
-	  rm -rf "$${tmpdir}"; \
-	  cp -a . "$${tmpdir}"; \
+	  mkdir -p "$${tmpdir}"; \
+	  for file in $(DISTRIB_FILES); do \
+	    cp -a "$${file}" "$${tmpdir}/$${file}"; \
+	  done; \
+	  for dir in $(DISTRIB_DIRS); do \
+	    cp -a "$${dir}" "$${tmpdir}/$${dir}"; \
+	  done; \
 	  cd "$${tmpdir}"; \
-	  test -r config.h || touch config.h; \
-	  make clean YETI_PKGS="yeti yeti_fftw yeti_regex yeti_tiff"; \
+	  touch config.h; \
+	  make clean YETI_PKGS="$(DISTRIB_PKGS)"; \
 	  rm -f config.h; \
-	  rm -rf devel */RCS; \
+	  rm -rf */RCS */*~; \
 	  cd "$(TMPDIR)"; \
 	  tar cf - "$${target}" | bzip2 -9 > "$${archive}"; \
 	  cd "$${olddir}"; \
