=== doc/Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 .SUFFIXES: .c .i .o .h .so .dll .dyn .a .exe .txt .text .ps .pdf .html
 #------------------------------------------------------------------------------
 # these values filled in by: yorick -batch make.i
-Y_MAKEDIR=/usr/local/lib/yorick
-Y_EXE=/usr/local/lib/yorick/bin/yorick
+Y_MAKEDIR=/usr/local/libexec/yorick
+Y_EXE=/usr/local/libexec/yorick/bin/yorick
 Y_EXE_PKGS=
-Y_EXE_HOME=/usr/local/lib/yorick
-Y_EXE_SITE=/usr/local/lib/yorick
+Y_EXE_HOME=/usr/local/libexec/yorick
+Y_EXE_SITE=/usr/local/libexec/yorick
 
 DOCDIR=$(Y_EXE_SITE)/doc
