=== yeti/Makefile ===
--- 
+++ 
@@ -1,34 +1,42 @@
 #
 # Makefile -
 #
-#	Makefile for Yeti main plugin.
-#
-#------------------------------------------------------------------------------
-#	Copyright (C) 2006, Eric Thibaut.
-#
-#	This file is part of Yeti.
-#
-#	Yeti is free software; you can redistribute it and/or modify it
-#	under the terms of the GNU General Public License version 2 as
-#	published by the Free Software Foundation.
-#
-#	Yeti is distributed in the hope that it will be useful, but
-#	WITHOUT ANY WARRANTY; without even the implied warranty of
-#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-#	General Public License for more details.
-#
-#	You should have received a copy of the GNU General Public License
-#	along with Yeti (file "COPYING" in the top source  directory); if
-#	not, write to the Free Software Foundation, Inc., 51 Franklin St,
-#	Fifth Floor, Boston, MA 02110-1301 USA
+# Makefile for Yeti main plugin.
 #
 #------------------------------------------------------------------------------
 #
-# History:
-#	$Id: Makefile,v 1.1 2006/07/19 14:58:50 eric Exp $
-#	$Log: Makefile,v $
-#	Revision 1.1  2006/07/19 14:58:50  eric
-#	Initial revision
+# Copyright (C) 2006-2010, Eric Thiébaut <thiebaut@obs.univ-lyon1.fr>
+#
+# This software is governed by the CeCILL-C license under French law and
+# abiding by the rules of distribution of free software.  You can use, modify
+# and/or redistribute the software under the terms of the CeCILL-C license as
+# circulated by CEA, CNRS and INRIA at the following URL
+# "http://www.cecill.info".
+#
+# As a counterpart to the access to the source code and rights to copy,
+# modify and redistribute granted by the license, users are provided only
+# with a limited warranty and the software's author, the holder of the
+# economic rights, and the successive licensors have only limited liability.
+#
+# In this respect, the user's attention is drawn to the risks associated with
+# loading, using, modifying and/or developing or reproducing the software by
+# the user in light of its specific status of free software, that may mean
+# that it is complicated to manipulate, and that also therefore means that it
+# is reserved for developers and experienced professionals having in-depth
+# computer knowledge. Users are therefore encouraged to load and test the
+# software's suitability as regards their requirements in conditions enabling
+# the security of their systems and/or data to be ensured and, more
+# generally, to use and operate it in the same conditions as regards
+# security.
+#
+# The fact that you are presently reading this means that you have had
+# knowledge of the CeCILL-C license and that you accept its terms.
+#------------------------------------------------------------------------------
+#
+# $Id: Makefile,v 1.1 2006/07/19 14:58:50 eric Exp $
+# $Log: Makefile,v $
+# Revision 1.1  2006/07/19 14:58:50  eric
+# Initial revision
 #
 #------------------------------------------------------------------------------
 
@@ -127,4 +135,11 @@
 yeti_utils.o: yeti.h ../config.h
 #yeti_new.o:
 
+#
+# Local Variables:
+# mode: Makefile
+# tab-width: 8
+# fill-column: 78
+# coding: utf-8
+# End:
 #-------------------------------------------------------------- end of Makefile
