=== yeti_fftw/Makefile ===
--- 
+++ 
@@ -22,9 +22,9 @@
 PKG_EXENAME=yorick
 
 # PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
-PKG_DEPLIBS = -L/usr/local/lib -lrfftw -lfftw
+PKG_DEPLIBS = -L -lrfftw -lfftw
 # set compiler (or rarely loader) flags specific to this package
-PKG_CFLAGS = -I/usr/local/include -DHAVE_FFTW=1
+PKG_CFLAGS = -I -DHAVE_FFTW=1
 PKG_LDFLAGS=
 
 # list of additional package names you want in PKG_EXENAME
