=== yeti_gsl/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # these values filled in by    yorick -batch make.i
-Y_MAKEDIR=/usr/local/lib/yorick
-Y_EXE=/usr/local/lib/yorick/bin/yorick
+Y_MAKEDIR=/usr/local/libexec/yorick
+Y_EXE=/usr/local/libexec/yorick/bin/yorick
 Y_EXE_PKGS=
-Y_EXE_HOME=/usr/local/lib/yorick
-Y_EXE_SITE=/usr/local/lib/yorick
+Y_EXE_HOME=/usr/local/libexec/yorick
+Y_EXE_SITE=/usr/local/libexec/yorick
 
 # ----------------------------------------------------- optimization flags
 
@@ -22,9 +22,9 @@
 PKG_EXENAME=yorick
 
 # PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
-PKG_DEPLIBS = -L/usr/local/lib -lgsl -lgslcblas
+PKG_DEPLIBS = -lgsl -lgslcblas
 # set compiler (or rarely loader) flags specific to this package
-PKG_CFLAGS = -I/usr/local/include -DHAVE_GSL=1
+PKG_CFLAGS =  -DHAVE_GSL=1
 PKG_LDFLAGS=
 
 # list of additional package names you want in PKG_EXENAME
