=== debian/changelog ===
yorick-yeti (6.3.1-2) unstable; urgency=low

  * Bug fix: "FTBFS: dpkg-buildpackage: error: dpkg-source -b
    yorick-yeti-6.3.1 gave error exit status 2", thanks to Mònica Ramírez
    Arceda (Closes: #652198).

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Mon, 19 Dec 2011 22:47:32 +0100

yorick-yeti (6.3.1-1) unstable; urgency=low

  * New upstream release
    + several functions have moved to Yorick >=2.1.06
    + Yeti is now under CeCILL-C license
  
 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 20 Apr 2010 16:07:09 +0200

yorick-yeti (6.2.5-2) unstable; urgency=low

  * Add autoloads.
  * bump policy to 3.8.4
  * move so section "science"

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Fri, 02 Apr 2010 15:17:49 +0200
