=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: yorick-yeti
-Section: math
+Section: science
 Priority: optional
 Maintainer: Thibaut Paumard <paumard@users.sourceforge.net>
-Build-Depends: debhelper (>= 5), yorick-dev (>= 2.1.05+dfsg-2~bpo40+1), fftw-dev, libtiff4-dev, libgsl0-dev (>= 1.8)
-Standards-Version: 3.8.3
+Build-Depends: debhelper (>= 5), yorick-dev (>= 2.1.06), fftw-dev, libtiff4-dev, libgsl0-dev (>= 1.8)
+Standards-Version: 3.8.4
 DM-Upload-Allowed: yes
 Homepage: http://www-obs.univ-lyon1.fr/labo/perso/eric.thiebaut/yeti.html
 
 Package: yorick-yeti
 Architecture: any
-Depends: yorick (>= 1.6.02), ${shlibs:Depends}, ${misc:Depends}
+Depends: yorick (>= 2.1.06), ${shlibs:Depends}, ${misc:Depends}
 Description: utility plugin for the Yorick language
  Yeti is a collection of extension plugins for Yorick (a fast interpreted
  interactive data processing language).
