=== debian/rules ===
--- 
+++ 
@@ -30,20 +30,9 @@
 	dh_testdir
 	cp -a Makefile.in Makefile
 
-orig-stamp:
-	dh_testdir
-	mkdir -p .deborig
-	cp -a yeti_fftw/Makefile  .deborig/yeti_fftw
-	cp -a yeti_gsl/Makefile   .deborig/yeti_gsl
-	cp -a yeti/Makefile       .deborig/yeti
-	cp -a yeti_regex/Makefile .deborig/yeti_regex
-	cp -a yeti_tiff/Makefile  .deborig/yeti_tiff
-	cp -a doc/Makefile        .deborig/doc
-	touch orig-stamp
-
 configure: configure-stamp
 #configure-stamp: patch-stamp Makefile.deborig
-configure-stamp: orig-stamp Makefile
+configure-stamp: Makefile
 	dh_testdir
 	yorick -batch ./config.i\
 	 --with-regex --with-regex-defs='-DHAVE_REGEX=1'\
@@ -70,21 +59,12 @@
 	touch build-stamp
 
 #clean: configure-stamp clean-patched unpatch
-clean: configure-stamp clean-patched
-clean-patched: Makefile
+clean: configure-stamp Makefile
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
 	$(MAKE) clean
 	rm -f  config.h configure-stamp Makefile
-	[ ! -e .deborig/yeti_fftw  ] || mv .deborig/yeti_fftw  yeti_fftw/Makefile 
-	[ ! -e .deborig/yeti_gsl   ] || mv .deborig/yeti_gsl   yeti_gsl/Makefile
-	[ ! -e .deborig/yeti       ] || mv .deborig/yeti       yeti/Makefile
-	[ ! -e .deborig/yeti_regex ] || mv .deborig/yeti_regex yeti_regex/Makefile
-	[ ! -e .deborig/yeti_tiff  ] || mv .deborig/yeti_tiff  yeti_tiff/Makefile
-	[ ! -e .deborig/doc ] || mv .deborig/doc doc/Makefile
-	[ ! -e .deborig ] || rmdir .deborig
-	rm -f orig-stamp
 	dh_clean  --exclude ./yeti_regex/glibc/regcomp.c.orig --exclude ./yeti_regex/glibc/regexec.c.orig
 
 install-arch: install-check
