## yorick-yeti 6.3.2

=== debian/changelog ===
yorick-yeti (6.3.2-3ubuntu1) quantal; urgency=low

  * Build-depend on libtiff-dev rather than libtiff4-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 09 Sep 2012 12:41:59 +0100

yorick-yeti (6.3.2-3) unstable; urgency=low

  * Fortify (don't rely on Yorick to pass the right flags)

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Thu, 28 Jun 2012 17:14:31 +0200

yorick-yeti (6.3.2-2) unstable; urgency=low

  * Amend control to abide by Debian Science Policy
  * Convert copyright to machine-readable format
  * Minimize debian/rules

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 27 Jun 2012 23:44:51 +0200

yorick-yeti (6.3.2-1) unstable; urgency=low

  * New upstream release

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Sun, 01 Apr 2012 18:55:07 +0200
