=== debian/control ===
--- 
+++ 
@@ -1,10 +1,14 @@
 Source: yorick-yeti
 Section: science
-Priority: optional
-Maintainer: Thibaut Paumard <paumard@users.sourceforge.net>
-Build-Depends: debhelper (>= 5), yorick-dev (>= 2.1.06), fftw-dev, libtiff4-dev, libgsl0-dev (>= 1.8)
-Standards-Version: 3.8.4
+Priority: extra
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Thibaut Paumard <paumard@users.sourceforge.net>
+Build-Depends: debhelper (>= 9), yorick-dev (>= 2.1.06), fftw-dev, libtiff-dev, libgsl0-dev (>= 1.8)
+Standards-Version: 3.9.3
 DM-Upload-Allowed: yes
+Vcs-Git: git://git.debian.org/git/debian-science/packages/yorick-yeti.git
+Vcs-Browser: http://git.debian.org/?p=debian-science/packages/yorick-yeti.git
 Homepage: http://www-obs.univ-lyon1.fr/labo/perso/eric.thiebaut/yeti.html
 
 Package: yorick-yeti
@@ -48,7 +52,6 @@
 
 Package: yorick-yeti-fftw
 Architecture: any
-Priority: extra
 Depends: yorick (>= 1.6.02), ${shlibs:Depends}, ${misc:Depends}
 Description: FFT plugin for the Yorick language
  Yeti is a collection of extension plugins for Yorick (a fast interpreted
