=== debian/watch ===
version=3
http://www-obs.univ-lyon1.fr/labo/perso/eric.thiebaut/yeti_download.html \
 files/yeti-(.*)\.tar\.bz2
